/[gentoo-x86]/sys-auth/polkit/ChangeLog
Gentoo

Contents of /sys-auth/polkit/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.109 - (show annotations) (download)
Sun Oct 28 15:49:09 2012 UTC (20 months, 3 weeks ago) by naota
Branch: MAIN
Changes since 1.108: +5 -1 lines
Drop ~x86-fbsd due to bug #439968.

(Portage version: 2.2.0_alpha137/cvs/Linux x86_64)

1 # ChangeLog for sys-auth/polkit
2 # Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
3 # $Header: /var/cvsroot/gentoo-x86/sys-auth/polkit/ChangeLog,v 1.108 2012/10/15 18:48:33 jer Exp $
4
5 28 Oct 2012; <naota@gentoo.org> polkit-0.104-r1.ebuild,
6 polkit-0.107-r1.ebuild, polkit-0.107.ebuild:
7 Drop ~x86-fbsd due to bug #439968.
8
9 15 Oct 2012; Jeroen Roovers <jer@gentoo.org> polkit-0.104-r1.ebuild,
10 polkit-0.107-r1.ebuild:
11 Drop HPPA keywording (bug #438368).
12
13 15 Oct 2012; Zac Medico <zmedico@gentoo.org> polkit-0.107-r1.ebuild:
14 Set QA_MULTILIB_PATHS for bug #424423.
15
16 09 Oct 2012; Jeroen Roovers <jer@gentoo.org> polkit-0.107-r1.ebuild:
17 Marked ~hppa (bug #436668).
18
19 08 Oct 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.107-r1.ebuild:
20 Use pax-mark in src_compile() instead of src_install() for src_test() wrt
21 #423927 by "kensington" and "Nikoli". Punt bogus RESTRICT for multilib-strict
22 and emphatize it's an Portage issue instead of polkit issue in src_install()
23 message.
24
25 07 Oct 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
26 Stable for amd64, wrt bug #436666
27
28 *polkit-0.107-r1 (20 Sep 2012)
29
30 20 Sep 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.107-r1.ebuild,
31 +files/polkit-0.107-fallback.patch:
32 Introduce upstream patch for falling back to uid 0 for authentication if list
33 of admin identities is empty.
34
35 13 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.105.ebuild,
36 -polkit-0.106-r7.ebuild:
37 old
38
39 *polkit-0.107 (13 Jul 2012)
40
41 13 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.107.ebuild:
42 Version bump.
43
44 07 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.106-r5.ebuild,
45 -polkit-0.106-r6.ebuild:
46 old
47
48 07 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r7.ebuild:
49 Remove USE="debug" because --enable/--disable-verbose-mode is no-op wrt
50 #391865 by Maksim Melnikau
51
52 *polkit-0.106-r7 (02 Jul 2012)
53
54 02 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r7.ebuild:
55 RESTRICT="multilib-strict" since it's not compatible with the whole
56 /usr/libexec -> /usr/lib/$package migration wrt #424423. This will move
57 polkit-agent-helper-1 and polkitd back to /usr/lib/polkit-1.
58
59 *polkit-0.106-r6 (01 Jul 2012)
60
61 01 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r6.ebuild:
62 Fix hardcoded path to "lib" in polkitagentsession.c for systems without the
63 /usr/lib to /usr/lib64 symlink.
64
65 30 Jun 2012; <swift@gentoo.org> polkit-0.104-r1.ebuild, polkit-0.105.ebuild,
66 polkit-0.106-r5.ebuild:
67 Adding dependency on SELinux policykit module if USE=selinux is set
68
69 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r5.ebuild:
70 pax-mark polkitd only when spidermonkey is built with JIT enabled and only
71 'm' instead of 'mr' when version is >= 1.8.7 (by using has_version check)
72
73 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.106-r2.ebuild,
74 -polkit-0.106-r3.ebuild, -polkit-0.106-r4.ebuild:
75 old
76
77 *polkit-0.106-r5 (27 Jun 2012)
78
79 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r5.ebuild:
80 Revert entire unix-group:wheel experiment back to unix-user:0 because
81 PolicyKit agent(s) don't behave correctly with it wrt #423733 by Travis
82 Hansen. Revert system-local-login to system-auth for PAM errors wrt #423487
83 by Doug Goldstein.
84
85 *polkit-0.106-r4 (27 Jun 2012)
86
87 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r4.ebuild:
88 Stop installing polkit-backend-1.pc because upstream changed
89 libpolkit-backend-1.la to be noinst_LTLIBRARIES in
90 src/polkitbackend/Makefile.am wrt #423431 by Pim Vullers
91
92 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r3.ebuild:
93 Redefine libprivdir in install for multilib-strict wrt #423381 by Michael
94 Palimaka
95
96 *polkit-0.106-r3 (25 Jun 2012)
97
98 25 Jun 2012; Alexandre Rostovtsev <tetromino@gentoo.org>
99 +polkit-0.106-r3.ebuild:
100 pax-mark polkitd to fix crashes on hardened/PaX systems.
101
102 23 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r2.ebuild:
103 Convert pkg_postinst() message about polkitd home directory to new
104 user.eclass function esethome().
105
106 19 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r2.ebuild:
107 Check for mozjs187.pc for >=dev-lang/spidermonkey-1.8.7 compability.
108
109 19 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r2.ebuild:
110 Adapt to sys-auth/pambase with USE="systemd" wrt #372229 by Michał Górny
111
112 17 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.106-r1.ebuild:
113 old
114
115 *polkit-0.106-r2 (17 Jun 2012)
116
117 17 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r2.ebuild:
118 Revision bump to chown /var/lib/polkit-1 because diropts has no effect on
119 existing directories.
120
121 17 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.106.ebuild:
122 old
123
124 *polkit-0.106-r1 (17 Jun 2012)
125
126 17 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r1.ebuild:
127 Update /etc/pam.d/polkit-1 from system-login to system-local-login. Use
128 unix-group "adm" for administrators. Use /var/lib/polkit-1 as home directory
129 for unix-user polkitd. Update owners of /etc/polkit-1/rules.d and
130 /usr/share/polkit-1/rules.d to polkitd:root wrt #420269.
131
132 13 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106.ebuild:
133 Pull in dev-lang/spidermonkey >= 1.8.5 and dev-libs/glib >= 2.32 wrt
134 #420173 and #420307.
135
136 *polkit-0.106 (07 Jun 2012)
137
138 07 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106.ebuild:
139 Version bump.
140
141 20 May 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.105.ebuild:
142 Improve systemd handling wrt #416317 by Christoph Brill
143
144 *polkit-0.105 (14 May 2012)
145
146 14 May 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.105.ebuild:
147 Version bump.
148
149 04 May 2012; Jeff Horelick <jdhore@gentoo.org> polkit-0.104-r1.ebuild:
150 dev-util/pkgconfig -> virtual/pkgconfig
151
152 18 Apr 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.102.ebuild,
153 -polkit-0.103.ebuild, -polkit-0.104.ebuild:
154 old
155
156 25 Mar 2012; Raúl Porcel <armin76@gentoo.org> polkit-0.104-r1.ebuild:
157 ia64/sh/sparc stable wrt #401513
158
159 09 Mar 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.104-r1.ebuild:
160 ppc/ppc64 stable wrt #401513
161
162 17 Feb 2012; Tobias Klausmann <klausman@gentoo.org> polkit-0.104-r1.ebuild:
163 Stable on alpha, bug #401513
164
165 17 Feb 2012; Thomas Kahle <tomka@gentoo.org> polkit-0.104-r1.ebuild:
166 marked x86 per bug 401513
167
168 13 Feb 2012; Markus Meier <maekke@gentoo.org> polkit-0.104-r1.ebuild:
169 arm stable, bug #401513
170
171 02 Feb 2012; Jeroen Roovers <jer@gentoo.org> polkit-0.104-r1.ebuild:
172 Stable for HPPA (bug #401513).
173
174 30 Jan 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.104-r1.ebuild:
175 Stable for AMD64, wrt security bug #401513
176
177 *polkit-0.104-r1 (30 Jan 2012)
178
179 30 Jan 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.104-r1.ebuild:
180 Restore the default value of AdminIdentities from "wheel" to "0" like it was
181 in polkit-0.102 and ones before that. You should see files
182 50-localauthority.conf and 60-gentoo.conf in
183 /etc/polkit-1/localauthority.conf.d. You should also familiarize yourself
184 with "man 8 pklocalauthority" as soon as possible.
185
186 29 Jan 2012; Markus Meier <maekke@gentoo.org> polkit-0.103.ebuild:
187 arm stable, bug #397755
188
189 07 Jan 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.103.ebuild:
190 Stable for AMD64, wrt bug #397755
191
192 *polkit-0.104 (05 Jan 2012)
193
194 05 Jan 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.104.ebuild,
195 metadata.xml:
196 Version bump.
197
198 08 Dec 2011; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.101-r1.ebuild:
199 old
200
201 08 Dec 2011; Samuli Suominen <ssuominen@gentoo.org> polkit-0.102.ebuild:
202 ppc/ppc64 stable wrt #387163
203
204 08 Dec 2011; Samuli Suominen <ssuominen@gentoo.org> polkit-0.103.ebuild:
205 Raise dev-libs/glib depend to at least 2.30 wrt #393579 by Matt Palermo
206
207 *polkit-0.103 (07 Dec 2011)
208
209 07 Dec 2011; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.103.ebuild:
210 Version bump. Remove unrequired keepdir of /var/run/polkit-1 wrt #387903 by
211 "i.Dark_Templar"
212
213 05 Nov 2011; Raúl Porcel <armin76@gentoo.org> polkit-0.102.ebuild:
214 alpha/arm/ia64/sh/sparc stable wrt #387163
215
216 29 Oct 2011; Markus Meier <maekke@gentoo.org> polkit-0.102.ebuild:
217 arm stable, bug #387163
218
219 19 Oct 2011; Jeroen Roovers <jer@gentoo.org> polkit-0.102.ebuild:
220 Stable for HPPA (bug #387163).
221
222 18 Oct 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org> polkit-0.102.ebuild:
223 x86 stable wrt bug #387163
224
225 15 Oct 2011; Markos Chandras <hwoarang@gentoo.org> polkit-0.102.ebuild:
226 Stable on amd64 wrt bug #387163
227
228 28 Aug 2011; Nirbheek Chauhan <nirbheek@gentoo.org> polkit-0.101-r1.ebuild,
229 polkit-0.102.ebuild:
230 pambase[consolekit] support is needed to use polkit with pam, add to PDEPEND
231
232 *polkit-0.102 (06 Aug 2011)
233
234 06 Aug 2011; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.102.ebuild:
235 Version bump.
236
237 10 Jul 2011; Matt Turner <mattst88@gentoo.org> polkit-0.101-r1.ebuild:
238 Added ~mips, bug 296548
239
240 14 May 2011; Gilles Dartiguelongue <eva@gentoo.org> polkit-0.101-r1.ebuild:
241 Add missing dtd to DEPEND, bug #355505.
242
243 30 Apr 2011; Raúl Porcel <armin76@gentoo.org> polkit-0.101-r1.ebuild:
244 alpha/arm/ia64/sh/sparc stable wrt #364973
245
246 28 Apr 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org>
247 polkit-0.101-r1.ebuild:
248 x86 stable wrt security bug #364973
249
250 27 Apr 2011; Jeroen Roovers <jer@gentoo.org> polkit-0.101-r1.ebuild:
251 Stable for HPPA (bug #364973).
252
253 27 Apr 2011; Christoph Mende <angelos@gentoo.org> polkit-0.101-r1.ebuild:
254 Stable on amd64 wrt bug #364973
255
256 27 Apr 2011; Kacper Kowalik <xarthisius@gentoo.org> polkit-0.101-r1.ebuild:
257 ppc/ppc64 stable wrt #364973
258
259 *polkit-0.101-r1 (25 Apr 2011)
260
261 25 Apr 2011; Nirbheek Chauhan <nirbheek@gentoo.org> -polkit-0.100.ebuild,
262 +polkit-0.101-r1.ebuild:
263 Add patches for CVE-2011-1485, remove vulnerable 0.100 version
264
265 22 Mar 2011; Kacper Kowalik <xarthisius@gentoo.org> polkit-0.99-r1.ebuild:
266 ppc/ppc64 stable wrt #354509
267
268 19 Mar 2011; Raúl Porcel <armin76@gentoo.org> polkit-0.99-r1.ebuild:
269 alpha/ia64/sh/sparc stable wrt #354509
270
271 15 Mar 2011; Nirbheek Chauhan <nirbheek@gentoo.org> polkit-0.101.ebuild:
272 PDEPEND on 0.101 version of polkit-gnome
273
274 13 Mar 2011; Markus Meier <maekke@gentoo.org> polkit-0.99-r1.ebuild:
275 arm stable, bug #354509
276
277 *polkit-0.101 (11 Mar 2011)
278
279 11 Mar 2011; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.101.ebuild:
280 Version bump.
281
282 07 Mar 2011; Jeroen Roovers <jer@gentoo.org> polkit-0.99-r1.ebuild:
283 Stable for HPPA (bug #354509).
284
285 04 Mar 2011; Thomas Kahle <tomka@gentoo.org> polkit-0.99-r1.ebuild:
286 x86 stable per bug 354509
287
288 23 Feb 2011; Markos Chandras <hwoarang@gentoo.org> polkit-0.99-r1.ebuild:
289 Stable on amd64 wrt bug #354509
290
291 *polkit-0.100 (23 Feb 2011)
292
293 23 Feb 2011; Nirbheek Chauhan <nirbheek@gentoo.org> +polkit-0.100.ebuild:
294 Bump to 0.100
295
296 24 Jan 2011; Samuli Suominen <ssuominen@gentoo.org> polkit-0.99-r1.ebuild:
297 USE="kde" to pull in authentication agent for KDE.
298
299 21 Jan 2011; Jeroen Roovers <jer@gentoo.org> polkit-0.99-r1.ebuild:
300 Marked ~hppa (bug #296548).
301
302 *polkit-0.99-r1 (25 Dec 2010)
303
304 25 Dec 2010; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.99-r1.ebuild:
305 Revision bump to remove static archives (.a) and libtool archives (.la).
306 USE="gtk" to pull in authentication agent for GTK+ based desktops.
307
308 *polkit-0.99 (25 Sep 2010)
309
310 25 Sep 2010; <nirbheek@gentoo.org> +polkit-0.99.ebuild:
311 Bump to 0.99, masked due to >=glib-2.25 requirement
312
313 18 Aug 2010; Markus Meier <maekke@gentoo.org> polkit-0.96-r1.ebuild:
314 arm stable, bug #314899
315
316 14 Aug 2010; Raúl Porcel <armin76@gentoo.org> polkit-0.96-r1.ebuild,
317 polkit-0.96-r2.ebuild:
318 alpha/ia64/sh/sparc stable
319
320 09 Aug 2010; Joseph Jezak <josejx@gentoo.org> polkit-0.96-r1.ebuild:
321 Marked ppc/ppc64 stable.
322
323 25 Jul 2010; Tobias Klausmann <klausman@gentoo.org> polkit-0.96-r2.ebuild:
324 Stable on alpha, bug #329621
325
326 20 Jul 2010; Jeroen Roovers <jer@gentoo.org> polkit-0.96.ebuild,
327 polkit-0.96-r1.ebuild, polkit-0.96-r2.ebuild:
328 Stable for HPPA (bug #314899).
329
330 20 Jul 2010; Jeroen Roovers <jer@gentoo.org> polkit-0.96.ebuild,
331 polkit-0.96-r1.ebuild, polkit-0.96-r2.ebuild:
332 Drop HPPA keywording (bug #324511).
333
334 07 Jul 2010; Nirbheek Chauhan <nirbheek@gentoo.org> polkit-0.96-r1.ebuild,
335 polkit-0.96-r2.ebuild:
336 Add ewarn about ensuring that consolekit sessions are working. Either the
337 user needs to login using a login-manager with consolekit support, or use
338 ck-launch-session to launch the DE as suggested in bug 291116 comment 13
339
340 *polkit-0.96-r2 (02 Jul 2010)
341
342 02 Jul 2010; Nirbheek Chauhan <nirbheek@gentoo.org>
343 +polkit-0.96-r2.ebuild, metadata.xml:
344 USE=expat was quite useless, expat is mandatory in polkit. Don't create
345 user 'polkituser', it was used by policykit, but isn't by polkit. Also,
346 add introspection support
347
348 04 Jun 2010; Markus Meier <maekke@gentoo.org> polkit-0.96-r1.ebuild:
349 x86 stable, bug #314899
350
351 03 May 2010; Olivier Crête <tester@gentoo.org> polkit-0.96-r1.ebuild:
352 amd64 stable, bug #314899
353
354 25 Apr 2010; Raúl Porcel <armin76@gentoo.org> polkit-0.96.ebuild,
355 polkit-0.96-r1.ebuild:
356 Add ~sh
357
358 13 Apr 2010; Alexis Ballier <aballier@gentoo.org> polkit-0.96-r1.ebuild,
359 +files/polkit-0.96-getcwd.patch:
360 Fix build on fbsd and keyword it x86-fbsd
361
362 25 Mar 2010; Nirbheek Chauhan <nirbheek@gentoo.org> polkit-0.96.ebuild,
363 polkit-0.96-r1.ebuild:
364 Raise gtk-doc{,-am} dependencies. Fixes bug 311085
365
366 21 Mar 2010; Nirbheek Chauhan <nirbheek@gentoo.org>
367 -files/polkit-0.93-fix-daemon-name.patch, -polkit-0.94.ebuild,
368 -polkit-0.95.ebuild:
369 Remove old
370
371 *polkit-0.96-r1 (21 Mar 2010)
372
373 21 Mar 2010; Nirbheek Chauhan <nirbheek@gentoo.org>
374 +polkit-0.96-r1.ebuild:
375 Update with newer version of polkit-shadow patch
376
377 07 Mar 2010; Nirbheek Chauhan <nirbheek@gentoo.org> polkit-0.96.ebuild:
378 Fix minor problems with SRC_URI
379
380 07 Mar 2010; Nirbheek Chauhan <nirbheek@gentoo.org> polkit-0.96.ebuild:
381 Add experimental shadow support, bug 291116 . Patch thanks to the
382 slackware folks.
383
384 28 Feb 2010; Raúl Porcel <armin76@gentoo.org> polkit-0.96.ebuild:
385 Add ~alpha/~arm/~ia64/~sparc
386
387 16 Feb 2010; Joseph Jezak <josejx@gentoo.org> polkit-0.96.ebuild:
388 Marked ~ppc/~ppc64 for bug #296548.
389
390 *polkit-0.96 (23 Jan 2010)
391
392 23 Jan 2010; Nirbheek Chauhan <nirbheek@gentoo.org> +polkit-0.96.ebuild:
393 Version bump to 0.96; lots of bugfixes, see NEWS
394
395 06 Jan 2010; Jeroen Roovers <jer@gentoo.org> polkit-0.95.ebuild:
396 Marked ~hppa (bug #296548).
397
398 11 Dec 2009; Nirbheek Chauhan <nirbheek@gentoo.org> polkit-0.95.ebuild:
399 Add sys-auth/consolekit-0.4.0[polkit] to PDEPEND; needed for checking if
400 the user is in an active/local session via dbus methods
401
402 *polkit-0.95 (14 Nov 2009)
403
404 14 Nov 2009; Nirbheek Chauhan <nirbheek@gentoo.org> +polkit-0.95.ebuild:
405 Bump to 0.95 -- new lockdown API, last dev version till 1.0
406
407 30 Oct 2009; Nirbheek Chauhan <nirbheek@gentoo.org>
408 -files/polkit-0.92-zsh-completions.patch, polkit-0.94.ebuild:
409 Remove zsh-completion (bug 291114), force pam support on (bug 291116)
410
411 *polkit-0.94 (29 Oct 2009)
412
413 29 Oct 2009; Gilles Dartiguelongue <eva@gentoo.org>
414 +files/polkit-0.92-zsh-completions.patch,
415 +files/polkit-0.93-fix-daemon-name.patch, +polkit-0.94.ebuild,
416 +metadata.xml:
417 Initial ebuild for GNOME 2.28.

  ViewVC Help
Powered by ViewVC 1.1.20